# Start Circuit

To monitor the conditions and execute the Lit Action code, start the circuit and pass in your PKP public key, IPFS hash of the Lit Action code and Auth Signature.

{% hint style="info" %}
The `ipfsCID` is an optional parameter. If it is not passed then the LitActionCode generated and returned directly through `setActions` will be passed instead. `authSig` can also be passed as an optional parameter to `start()`.
{% endhint %}

{% hint style="info" %}
Please note that for any actions where the signed transaction or message is required to be **broadcast** to a blockchain network this is an additional step. It is supported by the SDK, see [broadcast](/sdk-reference/broadcast-transactions.md).&#x20;
{% endhint %}

{% code overflow="wrap" fullWidth="true" %}

```typescript
const authSig = await newCircuit.generateAuthSignature();

await newCircuit.start({publicKey, ipfsCID, authSig});
```

{% endcode %}

To get the logs of returned responses and handle errors see [**Errors and Logs**](/errors-and-logs/logs-and-error-handling.md) and [**Error Strict Mode**](/errors-and-logs/error-strict-mode.md)**.**

If you need to abort the execution forcefully call `interrupt()` . To ensure that the interrupt effectively stops the execution, it should **not** be called directly `after` an await on `start()` or the execution of `interrupt()` will be blocked.&#x20;

The circuit will stop running after the current iteration is complete.

{% code overflow="wrap" fullWidth="true" %}

```typescript
newCircuit.interrupt();
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.irrevocable.dev/sdk-reference/start-circuit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
